#!/bin/bash

HOST1=192.168.0.22  #UnserPC
HOST2=192.168.0.21  #TV1

_exit () {
   case $1 in
      1) echo "Kein Shutdown - Mindestens einer der PCs ist eingeschaltet" ;;
      2) echo "Kein PC online - Shutdown" ; shutdown -p now ;;
   esac
   exit $1;
}

# Checken ob PC's an sind
if [ `ping -c 1 -i 1 $HOST1 | grep -wc 100.0%` -eq 0 ] || [ `ping -c 1 -i 1 $HOST2 | grep -wc 100.0%` -eq 0 ] ; then _exit 1;
# Wenn kein PC an ist, gehe zu Checken ob PC's im IP-Bereich an sind
else

# Checken ob PC's im IP-Bereich an sind
ip=192.168.0.                   #Netzadresse des eigenen Netzwerkes ohne den Hostanteil
i=27                            #checke Netz ab Hostanteil 27
while [ $i -le 30 ]             #checke Netz bis Hostanteil 30
        do
        ping -c 1 -i 1 $ip$i    #ping mit der zusammengesetzten IP-Adresse aus den o.a. Variablen "ip" und "i"
                if [ `ping -c 1 -i 1 $ip$i | grep -wc 100.0%` -eq 0 ]            #sobald einer der Hosts auf den ping antwortet, nicht herunterfahren
                then _exit 1    #beenden mit exit 1 (kein shutdown)
                fi
        i=$(( $i+1 ))           #erhhe Hostanteil immer um 1
done

_exit 2                         # hat kein PC geantwortet, shutdown
fi